GET checks/{checkId}
Gets info about a check, current SLA, last result and its status.
URL Parameters
| Name | Description |
|---|---|
| checkId | Check identifier. Type: numeric. |
Remarks
The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.Check Type
Use the check_type_api field's value as a part of API routes to specify the check type. Example: Use 'PUT checks/{check_type_api}/{id}' route to update the check by its type and identifier.If it's null, the given check's type is not supported by the current version of API.
Interval
The interval_seconds field defines the frequency that the check will run. If its value equals 0 the check will run in manual mode.Returns
Returns basic check info or extended check info for some check types.Responses
- The basic check info
- Ping check
- Port check
- URL check (legacy version 1)
- URL check (version 2)
- Real Browser and Mobile Website checks
- Real Browser (IE 8/9)
Request example
curl --request GET "https://api-asm1.apica.io/v3/checks/12345?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model examples and descriptions
The basic check info
{
"id": 12345,
"guid": "e99ff7fb-d614-4518-9de2-9a9cedad6090",
"name": "Check name",
"check_type": "FprXnet",
"check_type_name": "Real Browser, Chrome",
"check_type_api": "browser",
"enabled": true,
"location": "Sweden, Stockholm",
"country_code": "SE",
"sla_percent_current_month": 99.0,
"timestamp_utc": "2024-09-30T18:42:52",
"severity": "F",
"value": 100,
"unit": "ms",
"target_sla": 99.0,
"check_symbol": "N926_M77144_C76783_CMD_20150724_091538_003",
"threshold_w": 10000,
"threshold_w_dynamic": {
"baseline_measure": "avg",
"baseline_period_h": 1,
"factor": 1.0,
"offset": 1
},
"threshold_e": 20000,
"threshold_e_dynamic": null,
"threshold_lo_w": 10000,
"threshold_lo_w_dynamic": {
"baseline_measure": "std",
"baseline_period_h": 1,
"factor": 1.0,
"offset": 1
},
"threshold_lo_e": 20000,
"threshold_lo_e_dynamic": null,
"scheduled_inclusion": "mon-fri: 05:00-24:00;sat-sun: 08:00-16:00",
"scheduled_exclusion": "sat-sun: 16:00-20:00",
"interval_seconds": 300,
"last_result_details": {
"message": "Result message",
"attempts": 3,
"result_code": 0
},
"tags": {
"Environment": [
"Prod",
"Dev"
],
"Region": [
"USA",
"SWE"
]
},
"port": 1,
"acceptedCodes": "sample string 1",
"secureProtocolVersion": "sample string 2"
}
| Name | Type | Description |
|---|---|---|
| id | Integer | The numeric identifier of the check. |
| guid | String | The check GUID. |
| name | String | The check descriptor. |
| check_type | String | The check type. |
| check_type_name | String | The check type name. |
| check_type_api | String | The check type alias in API. |
| enabled | Boolean | Indicates whether the check is enabled or not. |
| location | String | The title of the check location. |
| country_code | String | The country code in 2 digit ISO format. |
| sla_percent_current_month | Float | The SLA of the check in the current month. |
| timestamp_utc | DateTime | The last check result timestamp in UTC. (Null if no result is found.) |
| severity | String | The last check result severity. Available values: 'I', 'W', 'E', 'F', 'U'. 'U' if no result is found. |
| value | Integer | The last check result value. (Null if no result is found.) |
| unit | String | The unit of measure for the last check result. (Null if no result is found.) |
| target_sla | Float | The target SLA of the check. |
| check_symbol | String | The check symbol. Some inernal identity of the check. |
| threshold_w | Integer | The value of high warning threshold (null if no threshold is specified). |
| threshold_w_dynamic | Object | The object for configuring dynamic calculation of high warning threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_e | Integer | The value of high error threshold (null if no threshold is specified). |
| threshold_e_dynamic | Object | The object for configuring dynamic calculation of high error threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_lo_w | Integer | The value of low warning threshold (null if no threshold is specified). |
| threshold_lo_w_dynamic | Object | The object for configuring dynamic calculation of low warning threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_lo_e | Integer | The value of low error threshold (null if no threshold is specified). |
| threshold_lo_e_dynamic | Object | The object for configuring dynamic calculation of low error threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| scheduled_inclusion | String | Defines specific day/time ranges when the check will run. |
| scheduled_exclusion | String | Defines specific day/time ranges when the check will not run. |
| interval_seconds | Integer | The frequency of running check in seconds. If the value equals 0 it means the check runs manually. |
| last_result_details | Object | Contains details about the last check result. |
| message | String | The result message. |
| attempts | Integer | The number of attempts to get the result. |
| result_code | Integer | The result code. |
| tags | Object | Check tags. |
| port | Integer | Proxy TCP/IP port number. |
| acceptedCodes | String | Accepted codes. Default value is 200. |
| secureProtocolVersion | String | Secure protocol version. |
Ping check
{
"host": "192.168.0.1|example.com",
"id": 12345,
"guid": "e99ff7fb-d614-4518-9de2-9a9cedad6090",
"name": "Check name",
"check_type": "FprXnet",
"check_type_name": "Real Browser, Chrome",
"check_type_api": "browser",
"enabled": true,
"location": "Sweden, Stockholm",
"country_code": "SE",
"sla_percent_current_month": 99.0,
"timestamp_utc": "2024-09-30T18:42:52",
"severity": "I",
"value": 100,
"unit": "ms",
"target_sla": 99.0,
"check_symbol": "N926_M77144_C76783_CMD_20150724_091538_003",
"threshold_w": 10000,
"threshold_w_dynamic": {
"baseline_measure": "std",
"baseline_period_h": 1,
"factor": 1.0,
"offset": 1
},
"threshold_e": 20000,
"threshold_e_dynamic": null,
"threshold_lo_w": 10000,
"threshold_lo_w_dynamic": {
"baseline_measure": "std",
"baseline_period_h": 1,
"factor": 1.0,
"offset": 1
},
"threshold_lo_e": 20000,
"threshold_lo_e_dynamic": null,
"scheduled_inclusion": "mon-fri: 05:00-24:00;sat-sun: 08:00-16:00",
"scheduled_exclusion": "sat-sun: 16:00-20:00",
"interval_seconds": 300,
"last_result_details": {
"message": "Result message",
"attempts": 3,
"result_code": 0
},
"tags": {
"Environment": [
"Prod",
"Dev"
],
"Region": [
"USA",
"SWE"
]
},
"port": 1,
"acceptedCodes": "sample string 1",
"secureProtocolVersion": "sample string 2"
}
| Name | Type | Description |
|---|---|---|
| host | String | The IP address or DNS name of the check target host. |
| id | Integer | The numeric identifier of the check. |
| guid | String | The check GUID. |
| name | String | The check descriptor. |
| check_type | String | The check type. |
| check_type_name | String | The check type name. |
| check_type_api | String | The check type alias in API. |
| enabled | Boolean | Indicates whether the check is enabled or not. |
| location | String | The title of the check location. |
| country_code | String | The country code in 2 digit ISO format. |
| sla_percent_current_month | Float | The SLA of the check in the current month. |
| timestamp_utc | DateTime | The last check result timestamp in UTC. (Null if no result is found.) |
| severity | String | The last check result severity. Available values: 'I', 'W', 'E', 'F', 'U'. 'U' if no result is found. |
| value | Integer | The last check result value. (Null if no result is found.) |
| unit | String | The unit of measure for the last check result. (Null if no result is found.) |
| target_sla | Float | The target SLA of the check. |
| check_symbol | String | The check symbol. Some inernal identity of the check. |
| threshold_w | Integer | The value of high warning threshold (null if no threshold is specified). |
| threshold_w_dynamic | Object | The object for configuring dynamic calculation of high warning threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_e | Integer | The value of high error threshold (null if no threshold is specified). |
| threshold_e_dynamic | Object | The object for configuring dynamic calculation of high error threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_lo_w | Integer | The value of low warning threshold (null if no threshold is specified). |
| threshold_lo_w_dynamic | Object | The object for configuring dynamic calculation of low warning threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_lo_e | Integer | The value of low error threshold (null if no threshold is specified). |
| threshold_lo_e_dynamic | Object | The object for configuring dynamic calculation of low error threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| scheduled_inclusion | String | Defines specific day/time ranges when the check will run. |
| scheduled_exclusion | String | Defines specific day/time ranges when the check will not run. |
| interval_seconds | Integer | The frequency of running check in seconds. If the value equals 0 it means the check runs manually. |
| last_result_details | Object | Contains details about the last check result. |
| message | String | The result message. |
| attempts | Integer | The number of attempts to get the result. |
| result_code | Integer | The result code. |
| tags | Object | Check tags. |
| port | Integer | Proxy TCP/IP port number. |
| acceptedCodes | String | Accepted codes. Default value is 200. |
| secureProtocolVersion | String | Secure protocol version. |
Port check
{
"server": "192.168.0.1|example.com",
"port": 8080,
"id": 12345,
"guid": "e99ff7fb-d614-4518-9de2-9a9cedad6090",
"name": "Check name",
"check_type": "FprXnet",
"check_type_name": "Real Browser, Chrome",
"check_type_api": "browser",
"enabled": true,
"location": "Sweden, Stockholm",
"country_code": "SE",
"sla_percent_current_month": 99.0,
"timestamp_utc": "2024-09-30T18:42:52",
"severity": "W",
"value": 100,
"unit": "ms",
"target_sla": 99.0,
"check_symbol": "N926_M77144_C76783_CMD_20150724_091538_003",
"threshold_w": 10000,
"threshold_w_dynamic": {
"baseline_measure": "avg",
"baseline_period_h": 1,
"factor": 1.0,
"offset": 1
},
"threshold_e": 20000,
"threshold_e_dynamic": null,
"threshold_lo_w": 10000,
"threshold_lo_w_dynamic": {
"baseline_measure": "avg",
"baseline_period_h": 1,
"factor": 1.0,
"offset": 1
},
"threshold_lo_e": 20000,
"threshold_lo_e_dynamic": null,
"scheduled_inclusion": "mon-fri: 05:00-24:00;sat-sun: 08:00-16:00",
"scheduled_exclusion": "sat-sun: 16:00-20:00",
"interval_seconds": 300,
"last_result_details": {
"message": "Result message",
"attempts": 3,
"result_code": 0
},
"tags": {
"Environment": [
"Prod",
"Dev"
],
"Region": [
"USA",
"SWE"
]
},
"acceptedCodes": "sample string 1",
"secureProtocolVersion": "sample string 2"
}
| Name | Type | Description |
|---|---|---|
| server | String | The IP address or DNS name of the check target server. |
| port | Integer | The port number. |
| id | Integer | The numeric identifier of the check. |
| guid | String | The check GUID. |
| name | String | The check descriptor. |
| check_type | String | The check type. |
| check_type_name | String | The check type name. |
| check_type_api | String | The check type alias in API. |
| enabled | Boolean | Indicates whether the check is enabled or not. |
| location | String | The title of the check location. |
| country_code | String | The country code in 2 digit ISO format. |
| sla_percent_current_month | Float | The SLA of the check in the current month. |
| timestamp_utc | DateTime | The last check result timestamp in UTC. (Null if no result is found.) |
| severity | String | The last check result severity. Available values: 'I', 'W', 'E', 'F', 'U'. 'U' if no result is found. |
| value | Integer | The last check result value. (Null if no result is found.) |
| unit | String | The unit of measure for the last check result. (Null if no result is found.) |
| target_sla | Float | The target SLA of the check. |
| check_symbol | String | The check symbol. Some inernal identity of the check. |
| threshold_w | Integer | The value of high warning threshold (null if no threshold is specified). |
| threshold_w_dynamic | Object | The object for configuring dynamic calculation of high warning threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_e | Integer | The value of high error threshold (null if no threshold is specified). |
| threshold_e_dynamic | Object | The object for configuring dynamic calculation of high error threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_lo_w | Integer | The value of low warning threshold (null if no threshold is specified). |
| threshold_lo_w_dynamic | Object | The object for configuring dynamic calculation of low warning threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_lo_e | Integer | The value of low error threshold (null if no threshold is specified). |
| threshold_lo_e_dynamic | Object | The object for configuring dynamic calculation of low error threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| scheduled_inclusion | String | Defines specific day/time ranges when the check will run. |
| scheduled_exclusion | String | Defines specific day/time ranges when the check will not run. |
| interval_seconds | Integer | The frequency of running check in seconds. If the value equals 0 it means the check runs manually. |
| last_result_details | Object | Contains details about the last check result. |
| message | String | The result message. |
| attempts | Integer | The number of attempts to get the result. |
| result_code | Integer | The result code. |
| tags | Object | Check tags. |
| acceptedCodes | String | Accepted codes. Default value is 200. |
| secureProtocolVersion | String | Secure protocol version. |
URL check (legacy version 1)
{
"url": "http://example.com",{"\n"}{" "}"id": 12345,
"guid": "e99ff7fb-d614-4518-9de2-9a9cedad6090",
"name": "Check name",
"check_type": "FprXnet",
"check_type_name": "Real Browser, Chrome",
"check_type_api": "browser",
"enabled": true,
"location": "Sweden, Stockholm",
"country_code": "SE",
"sla_percent_current_month": 99.0,
"timestamp_utc": "2024-09-30T18:42:52",
"severity": "I",
"value": 100,
"unit": "ms",
"target_sla": 99.0,
"check_symbol": "N926_M77144_C76783_CMD_20150724_091538_003",
"threshold_w": 10000,
"threshold_w_dynamic": {
"baseline_measure": "avg",
"baseline_period_h": 1,
"factor": 1.0,
"offset": 1
},
"threshold_e": 20000,
"threshold_e_dynamic": null,
"threshold_lo_w": 10000,
"threshold_lo_w_dynamic": {
"baseline_measure": "avg",
"baseline_period_h": 1,
"factor": 1.0,
"offset": 1
},
"threshold_lo_e": 20000,
"threshold_lo_e_dynamic": null,
"scheduled_inclusion": "mon-fri: 05:00-24:00;sat-sun: 08:00-16:00",
"scheduled_exclusion": "sat-sun: 16:00-20:00",
"interval_seconds": 300,
"last_result_details": {
"message": "Result message",
"attempts": 3,
"result_code": 0
},
"tags": {
"Environment": [
"Prod",
"Dev"
],
"Region": [
"USA",
"SWE"
]
},
"port": 1,
"acceptedCodes": "sample string 1",
"secureProtocolVersion": "sample string 2"
}
| Name | Type | Description |
|---|---|---|
| url | String | The check target URL. |
| id | Integer | The numeric identifier of the check. |
| guid | String | The check GUID. |
| name | String | The check descriptor. |
| check_type | String | The check type. |
| check_type_name | String | The check type name. |
| check_type_api | String | The check type alias in API. |
| enabled | Boolean | Indicates whether the check is enabled or not. |
| location | String | The title of the check location. |
| country_code | String | The country code in 2 digit ISO format. |
| sla_percent_current_month | Float | The SLA of the check in the current month. |
| timestamp_utc | DateTime | The last check result timestamp in UTC. (Null if no result is found.) |
| severity | String | The last check result severity. Available values: 'I', 'W', 'E', 'F', 'U'. 'U' if no result is found. |
| value | Integer | The last check result value. (Null if no result is found.) |
| unit | String | The unit of measure for the last check result. (Null if no result is found.) |
| target_sla | Float | The target SLA of the check. |
| check_symbol | String | The check symbol. Some inernal identity of the check. |
| threshold_w | Integer | The value of high warning threshold (null if no threshold is specified). |
| threshold_w_dynamic | Object | The object for configuring dynamic calculation of high warning threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_e | Integer | The value of high error threshold (null if no threshold is specified). |
| threshold_e_dynamic | Object | The object for configuring dynamic calculation of high error threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_lo_w | Integer | The value of low warning threshold (null if no threshold is specified). |
| threshold_lo_w_dynamic | Object | The object for configuring dynamic calculation of low warning threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_lo_e | Integer | The value of low error threshold (null if no threshold is specified). |
| threshold_lo_e_dynamic | Object | The object for configuring dynamic calculation of low error threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| scheduled_inclusion | String | Defines specific day/time ranges when the check will run. |
| scheduled_exclusion | String | Defines specific day/time ranges when the check will not run. |
| interval_seconds | Integer | The frequency of running check in seconds. If the value equals 0 it means the check runs manually. |
| last_result_details | Object | Contains details about the last check result. |
| message | String | The result message. |
| attempts | Integer | The number of attempts to get the result. |
| result_code | Integer | The result code. |
| tags | Object | Check tags. |
| port | Integer | Proxy TCP/IP port number. |
| acceptedCodes | String | Accepted codes. Default value is 200. |
| secureProtocolVersion | String | Secure protocol version. |
URL check (version 2)
{
"url": "http://example.com",{"\n"}{" "}"id": 12345,
"guid": "e99ff7fb-d614-4518-9de2-9a9cedad6090",
"name": "Check name",
"check_type": "FprXnet",
"check_type_name": "Real Browser, Chrome",
"check_type_api": "browser",
"enabled": true,
"location": "Sweden, Stockholm",
"country_code": "SE",
"sla_percent_current_month": 99.0,
"timestamp_utc": "2024-09-30T18:42:52",
"severity": "I",
"value": 100,
"unit": "ms",
"target_sla": 99.0,
"check_symbol": "N926_M77144_C76783_CMD_20150724_091538_003",
"threshold_w": 10000,
"threshold_w_dynamic": {
"baseline_measure": "mdn",
"baseline_period_h": 1,
"factor": 1.0,
"offset": 1
},
"threshold_e": 20000,
"threshold_e_dynamic": null,
"threshold_lo_w": 10000,
"threshold_lo_w_dynamic": {
"baseline_measure": "std",
"baseline_period_h": 1,
"factor": 1.0,
"offset": 1
},
"threshold_lo_e": 20000,
"threshold_lo_e_dynamic": null,
"scheduled_inclusion": "mon-fri: 05:00-24:00;sat-sun: 08:00-16:00",
"scheduled_exclusion": "sat-sun: 16:00-20:00",
"interval_seconds": 300,
"last_result_details": {
"message": "Result message",
"attempts": 3,
"result_code": 0
},
"tags": {
"Environment": [
"Prod",
"Dev"
],
"Region": [
"USA",
"SWE"
]
},
"port": 1,
"acceptedCodes": "sample string 1",
"secureProtocolVersion": "sample string 2"
}
| Name | Type | Description |
|---|---|---|
| url | String | The check target URL. |
| id | Integer | The numeric identifier of the check. |
| guid | String | The check GUID. |
| name | String | The check descriptor. |
| check_type | String | The check type. |
| check_type_name | String | The check type name. |
| check_type_api | String | The check type alias in API. |
| enabled | Boolean | Indicates whether the check is enabled or not. |
| location | String | The title of the check location. |
| country_code | String | The country code in 2 digit ISO format. |
| sla_percent_current_month | Float | The SLA of the check in the current month. |
| timestamp_utc | DateTime | The last check result timestamp in UTC. (Null if no result is found.) |
| severity | String | The last check result severity. Available values: 'I', 'W', 'E', 'F', 'U'. 'U' if no result is found. |
| value | Integer | The last check result value. (Null if no result is found.) |
| unit | String | The unit of measure for the last check result. (Null if no result is found.) |
| target_sla | Float | The target SLA of the check. |
| check_symbol | String | The check symbol. Some inernal identity of the check. |
| threshold_w | Integer | The value of high warning threshold (null if no threshold is specified). |
| threshold_w_dynamic | Object | The object for configuring dynamic calculation of high warning threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_e | Integer | The value of high error threshold (null if no threshold is specified). |
| threshold_e_dynamic | Object | The object for configuring dynamic calculation of high error threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_lo_w | Integer | The value of low warning threshold (null if no threshold is specified). |
| threshold_lo_w_dynamic | Object | The object for configuring dynamic calculation of low warning threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_lo_e | Integer | The value of low error threshold (null if no threshold is specified). |
| threshold_lo_e_dynamic | Object | The object for configuring dynamic calculation of low error threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| scheduled_inclusion | String | Defines specific day/time ranges when the check will run. |
| scheduled_exclusion | String | Defines specific day/time ranges when the check will not run. |
| interval_seconds | Integer | The frequency of running check in seconds. If the value equals 0 it means the check runs manually. |
| last_result_details | Object | Contains details about the last check result. |
| message | String | The result message. |
| attempts | Integer | The number of attempts to get the result. |
| result_code | Integer | The result code. |
| tags | Object | Check tags. |
| port | Integer | Proxy TCP/IP port number. |
| acceptedCodes | String | Accepted codes. Default value is 200. |
| secureProtocolVersion | String | Secure protocol version. |
Real Browser and Mobile Website checks
{
"url": "http://example.com",{"\n"}{" "}"id": 12345,
"guid": "e99ff7fb-d614-4518-9de2-9a9cedad6090",
"name": "Check name",
"check_type": "FprXnet",
"check_type_name": "Real Browser, Chrome",
"check_type_api": "browser",
"enabled": true,
"location": "Sweden, Stockholm",
"country_code": "SE",
"sla_percent_current_month": 99.0,
"timestamp_utc": "2024-09-30T18:42:52",
"severity": "U",
"value": 100,
"unit": "ms",
"target_sla": 99.0,
"check_symbol": "N926_M77144_C76783_CMD_20150724_091538_003",
"threshold_w": 10000,
"threshold_w_dynamic": {
"baseline_measure": "mdn",
"baseline_period_h": 1,
"factor": 1.0,
"offset": 1
},
"threshold_e": 20000,
"threshold_e_dynamic": null,
"threshold_lo_w": 10000,
"threshold_lo_w_dynamic": {
"baseline_measure": "mdn",
"baseline_period_h": 1,
"factor": 1.0,
"offset": 1
},
"threshold_lo_e": 20000,
"threshold_lo_e_dynamic": null,
"scheduled_inclusion": "mon-fri: 05:00-24:00;sat-sun: 08:00-16:00",
"scheduled_exclusion": "sat-sun: 16:00-20:00",
"interval_seconds": 300,
"last_result_details": {
"message": "Result message",
"attempts": 3,
"result_code": 0
},
"tags": {
"Environment": [
"Prod",
"Dev"
],
"Region": [
"USA",
"SWE"
]
},
"port": 1,
"acceptedCodes": "sample string 1",
"secureProtocolVersion": "sample string 2"
}
| Name | Type | Description |
|---|---|---|
| url | String | The check target URL. |
| id | Integer | The numeric identifier of the check. |
| guid | String | The check GUID. |
| name | String | The check descriptor. |
| check_type | String | The check type. |
| check_type_name | String | The check type name. |
| check_type_api | String | The check type alias in API. |
| enabled | Boolean | Indicates whether the check is enabled or not. |
| location | String | The title of the check location. |
| country_code | String | The country code in 2 digit ISO format. |
| sla_percent_current_month | Float | The SLA of the check in the current month. |
| timestamp_utc | DateTime | The last check result timestamp in UTC. (Null if no result is found.) |
| severity | String | The last check result severity. Available values: 'I', 'W', 'E', 'F', 'U'. 'U' if no result is found. |
| value | Integer | The last check result value. (Null if no result is found.) |
| unit | String | The unit of measure for the last check result. (Null if no result is found.) |
| target_sla | Float | The target SLA of the check. |
| check_symbol | String | The check symbol. Some inernal identity of the check. |
| threshold_w | Integer | The value of high warning threshold (null if no threshold is specified). |
| threshold_w_dynamic | Object | The object for configuring dynamic calculation of high warning threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_e | Integer | The value of high error threshold (null if no threshold is specified). |
| threshold_e_dynamic | Object | The object for configuring dynamic calculation of high error threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_lo_w | Integer | The value of low warning threshold (null if no threshold is specified). |
| threshold_lo_w_dynamic | Object | The object for configuring dynamic calculation of low warning threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_lo_e | Integer | The value of low error threshold (null if no threshold is specified). |
| threshold_lo_e_dynamic | Object | The object for configuring dynamic calculation of low error threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| scheduled_inclusion | String | Defines specific day/time ranges when the check will run. |
| scheduled_exclusion | String | Defines specific day/time ranges when the check will not run. |
| interval_seconds | Integer | The frequency of running check in seconds. If the value equals 0 it means the check runs manually. |
| last_result_details | Object | Contains details about the last check result. |
| message | String | The result message. |
| attempts | Integer | The number of attempts to get the result. |
| result_code | Integer | The result code. |
| tags | Object | Check tags. |
| port | Integer | Proxy TCP/IP port number. |
| acceptedCodes | String | Accepted codes. Default value is 200. |
| secureProtocolVersion | String | Secure protocol version. |
Real Browser (IE 8/9)
{
"url": "http://example.com",{"\n"}{" "}"id": 12345,
"guid": "e99ff7fb-d614-4518-9de2-9a9cedad6090",
"name": "Check name",
"check_type": "FprXnet",
"check_type_name": "Real Browser, Chrome",
"check_type_api": "browser",
"enabled": true,
"location": "Sweden, Stockholm",
"country_code": "SE",
"sla_percent_current_month": 99.0,
"timestamp_utc": "2024-09-30T18:42:52",
"severity": "I",
"value": 100,
"unit": "ms",
"target_sla": 99.0,
"check_symbol": "N926_M77144_C76783_CMD_20150724_091538_003",
"threshold_w": 10000,
"threshold_w_dynamic": {
"baseline_measure": "std",
"baseline_period_h": 1,
"factor": 1.0,
"offset": 1
},
"threshold_e": 20000,
"threshold_e_dynamic": null,
"threshold_lo_w": 10000,
"threshold_lo_w_dynamic": {
"baseline_measure": "mdn",
"baseline_period_h": 1,
"factor": 1.0,
"offset": 1
},
"threshold_lo_e": 20000,
"threshold_lo_e_dynamic": null,
"scheduled_inclusion": "mon-fri: 05:00-24:00;sat-sun: 08:00-16:00",
"scheduled_exclusion": "sat-sun: 16:00-20:00",
"interval_seconds": 300,
"last_result_details": {
"message": "Result message",
"attempts": 3,
"result_code": 0
},
"tags": {
"Environment": [
"Prod",
"Dev"
],
"Region": [
"USA",
"SWE"
]
},
"port": 1,
"acceptedCodes": "sample string 1",
"secureProtocolVersion": "sample string 2"
}
| Name | Type | Description |
|---|---|---|
| url | String | The check target URL. |
| id | Integer | The numeric identifier of the check. |
| guid | String | The check GUID. |
| name | String | The check descriptor. |
| check_type | String | The check type. |
| check_type_name | String | The check type name. |
| check_type_api | String | The check type alias in API. |
| enabled | Boolean | Indicates whether the check is enabled or not. |
| location | String | The title of the check location. |
| country_code | String | The country code in 2 digit ISO format. |
| sla_percent_current_month | Float | The SLA of the check in the current month. |
| timestamp_utc | DateTime | The last check result timestamp in UTC. (Null if no result is found.) |
| severity | String | The last check result severity. Available values: 'I', 'W', 'E', 'F', 'U'. 'U' if no result is found. |
| value | Integer | The last check result value. (Null if no result is found.) |
| unit | String | The unit of measure for the last check result. (Null if no result is found.) |
| target_sla | Float | The target SLA of the check. |
| check_symbol | String | The check symbol. Some inernal identity of the check. |
| threshold_w | Integer | The value of high warning threshold (null if no threshold is specified). |
| threshold_w_dynamic | Object | The object for configuring dynamic calculation of high warning threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_e | Integer | The value of high error threshold (null if no threshold is specified). |
| threshold_e_dynamic | Object | The object for configuring dynamic calculation of high error threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_lo_w | Integer | The value of low warning threshold (null if no threshold is specified). |
| threshold_lo_w_dynamic | Object | The object for configuring dynamic calculation of low warning threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_lo_e | Integer | The value of low error threshold (null if no threshold is specified). |
| threshold_lo_e_dynamic | Object | The object for configuring dynamic calculation of low error threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| scheduled_inclusion | String | Defines specific day/time ranges when the check will run. |
| scheduled_exclusion | String | Defines specific day/time ranges when the check will not run. |
| interval_seconds | Integer | The frequency of running check in seconds. If the value equals 0 it means the check runs manually. |
| last_result_details | Object | Contains details about the last check result. |
| message | String | The result message. |
| attempts | Integer | The number of attempts to get the result. |
| result_code | Integer | The result code. |
| tags | Object | Check tags. |
| port | Integer | Proxy TCP/IP port number. |
| acceptedCodes | String | Accepted codes. Default value is 200. |
| secureProtocolVersion | String | Secure protocol version. |